<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 19e3d3aaf587 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-12-15 23:51 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_chooser_multiDirExtended extends we_chooser_multiDir{
	/** @var string */
	var $rowPrefix = '';

	/** @var string */
	var $catField = '';

	/**
	 * @param int[] $ids
	 * @param string $cmd_del
	 * @param string $addbut
	 * @param int[] $ws
	 * @param string $ct
	 * @param string $table
	 * @param string $css
	 * @param string $thirdDelPar
	 * @param string $extraDelFn
	 */
	public function __construct(array $ids = [], string $cmd_del = '', string $addbut = '', array $ws = [], string $ct = 'ContentType', string $table = FILE_TABLE, string $css = '', string $thirdDelPar = '', string $extraDelFn = ''){
		parent::__construct($ids, $cmd_del, $addbut, $ws, $ct, $table, $css, $thirdDelPar, $extraDelFn);
	}

	function getLine(int $lineNr): string{
		$catFieldJS = '';
		/* 	if($this->catField){
		  $ids = str_replace("," . $this->Record['ID'] . ",", ",", $this->ids);
		  } */
		$catFieldJS .= "deleteCategory('" . $this->rowPrefix . "'," . $this->Record['ID'] . "); ";
		switch($lineNr){
			case 0:
				return '<tr id="' . $this->rowPrefix . 'Cat' . $this->Record['ID'] . '">
	<td class="chooserFileIcon" data-contenttype="' . $this->Record['ContentType'] . '"></td>
	<td class="' . $this->css . '">' . $this->Record['Path'] . '</td>
	<td class="buttons">' . ((($this->isEditable && $this->cmd_del) || $this->CanDelete) ?
					we_html_button::create_button(we_html_button::TRASH, "javascript:" . $this->getJsSetHot() . ($this->extraDelFn ?: "") . "; " . $catFieldJS) :
					'') . '</td>
</tr>';
		}
		return '';
	}

	function getRootLine(int $lineNr): string{
		switch($lineNr){
			case 0:
				return '<tr>
	<td class="chooserFileIcon" data-contenttype="' . we_base_ContentTypes::FOLDER_DOCUMENT . '"></td>
	<td class="' . $this->css . '">/</td>
	<td class="buttons">' . ((($this->isEditable && $this->cmd_del) || $this->CanDelete) ?
					we_html_button::create_button(we_html_button::TRASH, "javascript:" . $this->getJsSetHot() . ($this->extraDelFn ?: "") . ";we_cmd('" . $this->cmd_del . "','0');") :
					'') . '</td>
</tr>';
		}
		return '';
	}

	function getTableRows(): string{
		$out = '';
		$this->nr = 0;

		foreach($this->ids as $id){
			$this->Record = getHash('SELECT ' . $this->fields[0] . ' AS ID,' . $this->fields[1] . ' AS Path,' . $this->fields[2] . ' AS ContentType FROM ' . $this->db->escape($this->table) . ' WHERE ID=' . ((int) $id));
			if(!empty($this->Record)){
				for($i = 0; $i < $this->lines; $i++){
					$out .= $this->getLine($i);
				}
			} else if(!$id){
				for($i = 0; $i < $this->lines; $i++){
					$out .= $this->getRootLine($i);
				}
			}
			$this->nr++;
		}
		return $out;
	}

	function get(we_base_jsCmd $jsCmd): string{
		$out = '<table class="default" style="height:18px;width: 100%;" id="' . $this->rowPrefix . 'CatTable">' .
			$this->getTableRows() .
			'</table>';
		$jsCmd->addCmd('setIconOfDocClass', 'chooserFileIcon');

		return we_html_element::div(['class' => 'multichooserDiv'],
															we_html_element::div(['class' => 'multichooser'], $out) .
				($this->addbut ? we_html_element::div(['class' => 'button'], $this->addbut) : '')
		);
	}

	function setRowPrefix(string $val): void{
		$this->rowPrefix = $val;
	}

	function setCatField(string $val): void{
		$this->catField = $val;
	}

}
