<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 9a6c4405280c $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-12-22 13:39 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
/* a class for handling templates */

class we_contents_phpClass extends we_document_files{

	public function __construct(int $id = 0){
		$this->Table = TEMPLATES_TABLE;
		$this->ContentType = we_base_ContentTypes::PHPCLASS;
		parent::__construct();
		$this->Publish_Date = new DateTime();
		$this->InWebEdition = true;

		unset($this->persistent_slots['Extension']);
		$this->initByID($id);
	}

	public function getPropertyPage(\we_base_jsCmd $jsCmd): string{
		return 'not yet implemented';
	}

	function editor(we_base_jsCmd $jsCmd = null): we_editor_base{
		switch($this->EditPageNr){
			default:
				$_SESSION['weS']['EditPageNr'] = $this->EditPageNr = we_base_constants::WE_EDITPAGE_PROPERTIES;
			case we_base_constants::WE_EDITPAGE_PROPERTIES:
				return new we_editor_properties($this, $jsCmd);
		}
	}

}
