<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: c316d2daa995 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-12-09 19:05 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_binaryContent extends we_editor_base{

	public function show(): string{
		assert($this->we_doc instanceof we_document_binary);
		$upload = $this->we_doc->formUpload();

		$boxContent = (new we_html_multiIconBoxContent())->add((new we_html_multiIconBoxContentLine('', $upload->getHTML(false), we_html_multiIconBox::PROP_UPLOAD)));
//@phan-suppress-next-line PhanImpossibleCondition
		if(we_document_image::NEW_SVG_ACTIVE && $this->we_doc instanceof we_document_image && we_document_image::isSvg($this->we_doc->Extension)){
			$boxContent->add((new we_html_multiIconBoxContentLine('In der Svg-Datei vorhandene ' . g_l('weClass', '[attribs]'), $this->we_doc->formSvgAttribsInternal(), '<i class="fa fa-vial"></i>'))->noline())
					->add((new we_html_multiIconBoxContentLine('Verwendtete ' . g_l('weClass', '[attribs]') . ' (können aufgrund der Bildbearbeitung von den internen Werten abweichen)', $this->we_doc->formSvgAttribsEdited(), '<i class="fa fa-crop-alt"></i>')));
		}

		$boxContent->add((new we_html_multiIconBoxContentLine(g_l('weClass', '[attribs]'), $this->we_doc->formProperties(), we_html_multiIconBox::PROP_ATTRIB)))
				->add((new we_html_multiIconBoxContentLine(g_l('weClass', '[metadata]'), $this->we_doc->formMetaInfos($this->getJsCmd()) . $this->we_doc->formMetaData(), we_html_multiIconBox::PROP_META)));

		return $this->getPage((new we_html_multiIconBox($boxContent, 'weImgProp'))
								->marginLeft()
								->get(), $upload->getCss() . $upload->getJs());
	}

}
