<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: f7c441b56472 $
 * $Author: Lukas Imhof $
 * $Date: 2020-12-03 12:56 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
define('WE_EDIT_IMAGE', true);

class we_editor_imageedit extends we_editor_base{

	public function show(): string{
		assert($this->we_doc instanceof we_document_image);
		$gdtype = $this->we_doc->getGDType();
		$supported = we_base_imageEdit::supported_image_types();
		$focus = we_unserialize($this->we_doc->getElementS('focus'), [0, 0]);
		$upload = new we_fileupload_ui_editfull('');

		if(!($this->we_doc->getElementS('data') && we_base_imageEdit::is_imagetype_read_supported($gdtype) && we_base_imageEdit::gd_version() > 0)){
			return $this->getPage(we_html_element::div(['style' => 'margin:1em 2em;'], we_html_element::div([], g_l('thumbnails', '[format_not_supported]')
			)));
		}

		return $this->getPage(we_html_element::div(['style' => 'margin:1em 2em;'], we_html_element::div([],
						(new we_html_button('fa:xx,fa-lg fa-arrows-alt', '', 'changeOption("image_resize")'))->title(g_l('weClass', '[resize]'))->addClass('imgEditBtn imgResize')->get() .
						(new we_html_button('fa:xx,fa-lg fa-rotate-left', '', 'changeOption("image_rotate")'))->title(g_l('weClass', '[rotate]'))->addClass('imgEditBtn imgRotate')->get() .
						(new we_html_button('fa:xx,fa-lg fa-crop', '', 'changeOption("image_crop")'))->title(g_l('weClass', '[crop]'))->addClass('imgEditBtn imgCrop')->get() .
						(new we_html_button('fa:xx,fa-lg fa-dot-circle-o', '', 'changeOption("image_focus")'))->title(g_l('weClass', '[image_focus]'))->addClass('imgEditBtn imgFocus')->get() .
						(new we_html_button('fa:xx,fa-lg fa-paint-brush', '', 'changeOption("image_fulleditor")'))->title(g_l('weClass', '[image_draw]'))->addClass('imgEditBtn imgFull')->get() .
						((in_array('jpg', $supported, true)) ?
						(new we_html_button('fat:' . g_l('weClass', '[convert_jpg]') . ',fa-lg fa-sign-out', '', 'changeOption("image_convertJPEG")'))->title(g_l('weClass', '[convert_jpg]'))->addClass('imgEditBtn imgJpg')->get() : '') .
						(($gdtype != 'gif' && in_array('gif', $supported, true)) ?
						(new we_html_button('fat:' . g_l('weClass', '[convert_gif]') . ',fa-lg fa-sign-out', '', 'changeOption("doImage_convertGIF")'))->title(g_l('weClass', '[convert_gif]'))->get() : '') .
						(($gdtype != 'png' && in_array('png', $supported, true)) ?
						(new we_html_button('fat:' . g_l('weClass', '[convert_png]') . ',fa-lg fa-sign-out', '', 'changeOption("doImage_convertPNG")'))->title(g_l('weClass', '[convert_png]'))->get() : '')
					) .
					we_html_element::div(['id' => 'tui-image-editor-top'], we_html_element::div(['id' => 'tui-image-editor-container', 'data-url' => $this->we_doc->getHtml(true, true, false, 'src')]) .
						we_html_element::hidden('we_' . $this->we_doc->Name . '_dataUrl', '', 'imgData')) .
					we_html_element::div(['id' => 'weImgEditor'],
													we_html_element::div(['id' => 'focus_info', 'style' => 'margin-top:10px; display:none'], we_html_tools::alertAttentionBox(g_l('weClass', '[focus_info]'), we_html_tools::TYPE_INFO, 640)) .
						'<table class="default">
' . ($this->we_doc->EditPageNr == we_base_constants::WE_EDITPAGE_IMAGEEDIT ?
						'<tr><td style="padding-bottom:20px;"></td></tr>' :
						''
						) . '<tr><td>' . $this->we_doc->getHtml(true) . we_html_element::div(['id' => "cursorVal", 'style' => "display:none"], '
<input type="hidden" id="x_focus" value="' . round((float) ($focus[0]), 2) . '"/>
<input type="hidden" id="y_focus" value="' . round((float) ($focus[1]), 2) . '"/>
<input type="hidden" name="we_' . $this->we_doc->Name . '_input[focus]" id="focus" value="[' . implode(',', $focus) . ']"/>
') . '
</td></tr>
</table>')),
																																																				we_html_element::cssLink(WE_LIB_DIR . 'tui-color-picker/tui-color-picker.css') .
				$upload->getJs() .
				we_html_element::cssLink(WE_LIB_DIR . 'tui-image-editor/tui-image-editor.min.css') .
				we_html_element::jsScript(WE_LIB_DIR . 'fabric/fabric.min.js') .
				we_html_element::jsScript(WE_LIB_DIR . 'tui-code-snippet/tui-code-snippet.min.js') .
				we_html_element::jsScript(WE_LIB_DIR . 'tui-color-picker/tui-color-picker.min.js') .
				we_html_element::jsScript(WE_LIB_DIR . 'tui-image-editor/tui-image-editor.min.js'),
															['onload' => (substr(we_base_request::string('we_cmd', '', 0), 0, 15) === 'doImage_convert' ?
					'WE().layout.we_setPath(_EditorFrame,"' . $this->we_doc->Path . '","' . $this->we_doc->getText() . '", ' . intval($this->we_doc->ID) . ',"published");' :
					'')]);
	}

}
