<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: a577bb122a3c $
 * $Author: Lukas Imhof $
 * $Date: 2021-01-06 15:59 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_fileupload_resp_multiimport extends we_fileupload_resp_import{

	public function processRequest(): array{
		// manage filenumber
		if($this->controlVars['formcount']){
			return parent::processRequest();
		}
		return [];
	}

	protected function checkSetParentId(): void{
		$curParentID = $this->fileVars['parentID'] ?: 0;
		$curParentPath = $origParentPath = $this->fileVars['parentID'] ? id2path($this->fileVars['parentID']) : '';

		$this->fileVars['weFilePath'] = trim($this->fileVars['weFilePath']);
		if($this->docVars['importDirs'] && $this->fileVars['weFilePath']){
			foreach(explode('/', $this->fileVars['weFilePath']) as $dir){
				if(($newParentID = path_to_id(($newParentPath = $curParentPath . '/' . $dir)))){
					$curParentID = $newParentID;
					$curParentPath = $newParentPath;
				} else {
					if(!we_base_permission::hasPerm([we_base_perm::WORK_DOCUMENT_FOLDER_NEW])){
							break;
					}
					$curParentPath = $newParentPath;
					$folder = new we_folder_document();
					$folder->initByPath($curParentPath);
					$folder->we_save();
					$curParentID = $folder->ID;
				}
			}
		}
		$this->fileVars['parentID'] = $curParentID;
		$this->fileVars['innerPath'] = ($inner = trim(str_replace($origParentPath, '', $curParentPath), '/')) ? $inner . '/' : '';
	}
}
