<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: f1b14af32998 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-12-22 16:01 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_folder_module extends we_folder_base{

	/** @var string */
	protected $Text = '';

	protected function hasCopyPerm(): bool{
		return we_base_permission::hasPerm([we_base_perm::WORK_FOLDERS_COPY]);
	}

	public function __construct(string $table, int $id = 0){
		$this->Table = $table;
		$this->ContentType = we_base_ContentTypes::FOLDER_COMMON;
		parent::__construct($id);
	}

	public function getText(int $renumber = 0): string{
		return $this->Text;
	}

	public function setText(string $text = ''): void{
		$this->Text = $text;
		parent::setText($text);
	}

}
