<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 33b8422b6be7 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-10-08 17:46 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * class
 * @desc    class for tag <we:listview>
 *
 */
class we_listview_collectionObjects extends we_listview_object{

	public function __construct(string $name, int $rows, int $offset, string $order, bool $desc, int $classID, array $cats, bool $catOr, array $workspaceID, int $cols, bool $searchable, string $condition, string $calendar, string $datefield, string $date, string $weekstart, array $categoryids, string $customerFilterType, int $docID, array $customers, array $id, array $languages, bool $hidedirindex, int $triggerID, bool $objectseourls, bool $fromWeObject = false){
		$myId = $id[0];
		$this->joins = [' JOIN ' . FILELINK_TABLE . ' fl ON (`of`.ID=fl.remObj AND fl.ID=' . $myId . ' AND fl.DocumentTable="tblVFile" AND fl.type="collection")'];
		$this->group = 'fl.' . ((fB('SELECT IsDuplicates FROM ' . VFILE_TABLE . ' WHERE ID=' . $myId)) ? 'position' : 'ID');

		parent::__construct($name, $rows, $offset, $order ?: 'VFILE', $desc, $classID, $cats, $catOr, $condition, $triggerID, $cols, $searchable, $calendar, $datefield, $date, $weekstart, $categoryids, $workspaceID, $customerFilterType, $docID, $customers, [
			], $languages, $hidedirindex, $objectseourls, $fromWeObject);
	}

}
