<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6cc64d37551c $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-25 11:32 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_newsletter_menu{

	public static function getMenu(): we_gui_menu{
		return new we_gui_menu([
				(new we_gui_menuTop(g_l('modules_newsletter', '[new]'), 'fa fa-plus-circle'))
				->set([
					new we_gui_menuEntry(g_l('modules_newsletter', '[newsletter][text]'), ['new_newsletter'], [we_base_perm::NEWSLETTER_NEW]),
					new we_gui_menuEntry(g_l('modules_newsletter', '[group]'), ['new_newsletter_group'], [we_base_perm::NEWSLETTER_NEW]),
				]),
				(new we_gui_menuTop(g_l('modules_newsletter', '[newsletter][text]'), 'fa fa-newspaper-o'))
				->set([
					new we_gui_menuEntry(g_l('modules_newsletter', '[save]'), ['save_newsletter'], [we_base_perm::NEWSLETTER_NEW, we_base_perm::NEWSLETTER_EDIT]),
					new we_gui_menuEntry(g_l('modules_newsletter', '[delete]'), ['delete_newsletter'], [we_base_perm::NEWSLETTER_DELETE]),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_newsletter', '[send]') . '&hellip;', ['send_newsletter'], [we_base_perm::NEWSLETTER_SEND]),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_newsletter', '[quit]'), ['exit_newsletter']),
				]),
				(new we_gui_menuTop(g_l('modules_newsletter', '[options]'), 'fa fa-cog'))
				->set([
					new we_gui_menuEntry(g_l('modules_newsletter', '[domain_check]') . '&hellip;', ['domain_check']),
					new we_gui_menuEntry(g_l('modules_newsletter', '[lists_overview_menu]') . '&hellip;', ['print_lists']),
					new we_gui_menuEntry(g_l('modules_newsletter', '[show_log]') . '&hellip;', ['show_log']),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_newsletter', '[newsletter_test]') . '&hellip;', ['test_newsletter']),
					new we_gui_menuEntry(g_l('modules_newsletter', '[preview]') . '&hellip;', ['preview_newsletter']),
					new we_gui_menuEntry(g_l('modules_newsletter', '[send_test]'), ['send_test'], [we_base_perm::NEWSLETTER_SEND_TEST_EMAIL]),
					new we_gui_menuEntry(g_l('modules_newsletter', '[search_email]'), ['search_email']),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_newsletter', '[edit_file]') . '&hellip;', ['edit_file']),
					new we_gui_menuEntry(g_l('modules_newsletter', '[black_list]') . '&hellip;', ['black_list']),
					new we_gui_menuEntry(g_l('modules_newsletter', '[clear_log]') . '&hellip;', ['clear_log'], [we_base_perm::NEWSLETTER_SETTINGS]),
					new we_gui_menuEntry(g_l('modules_newsletter', '[settings]') . '&hellip;', ['settings'], [we_base_perm::NEWSLETTER_SETTINGS]),
				])
		]);
	}

}
