<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: d0033894a059 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-23 18:40 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_rpcCmd_folderAction extends we_rpc_cmd{

	protected static function changeCats(array $docs, array $cats, bool $add): void{
		$db = DB_WE::$inst;
		foreach($docs as $table => $ids){
			if(empty($ids)){
				continue;
			}
			foreach($cats as $cat){
				if($add){
					$db->query('UPDATE `' . $db->escape($table) . '` SET Category=CONCAT(Category,IF(Category,",",""),' . $cat . ') WHERE ID IN(' . implode(',', $ids) . ') AND !FIND_IN_SET(' . $cat . ',Category)');
				} else {
					$db->query('UPDATE `' . $db->escape($table) . '` SET Category=TRIM(BOTH "," FROM REPLACE(CONCAT(",",Category,","),",' . $cat . ',","") ) WHERE ID IN(' . implode(',', $ids) . ') AND FIND_IN_SET(' . $cat . ',Category)');
				}
			}
		}
	}

}
