<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 0627c1498cde $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-02 12:07 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpcCmd_rss extends we_rpc_cmd{

	function execute(): we_rpc_response{
		//close session, we don't need it anymore
		session_write_close();
		switch($this->CmdShell->getCmd()){
			case 'widgetGetRss':
				return $this->widgetGetRss();
		}

		return $this->resp;
	}

	private function widgetGetRss(): we_rpc_response{
		[$title, $sRssOut] = we_widget_rss::getRSSContent(we_base_request::_(we_base_request::URL, 'we_cmd', '', 0), we_base_request::string('we_cmd', '', 1), we_base_request::int('we_cmd', 0, 2), we_base_request::string('we_cmd', '', 3), we_base_request::string('we_cmd', '', 4));

		if(strlen($title) > 50){
			$title = substr($title, 0, 50) . '&hellip;';
		}

		$this->resp->setData('data', $sRssOut);
		$this->resp->setData('titel', $title);
		$this->resp->setData('widgetType', 'rss');
		$this->resp->setData('widgetId', we_base_request::string('we_cmd', '', 5));
		return $this->resp;
	}

}
