<?php

declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 8537037c698d $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-11-23 19:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifNotContent extends we_weTag_ifTag{

	public static function parse(array $attribs, string $content): string{
		$name = self::getParserAttribute('name', $attribs, '', we_base_request::STRING);
		$tid = self::getParserAttribute('template', $attribs, 0, we_base_request::INT);
		$empty = self::getParserAttribute('empty', $attribs, true, we_base_request::BOOL);
		if($empty){
			return !empty(we_contents_template::$usedReplacements[$tid][$name]) ? '' : trim($content, "\n");
		}
		return !isset(we_contents_template::$usedReplacements[$tid][$name]) ? trim($content, "\n") : '';
	}

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes @unused-param
	 * @param string $content content between openingtag and closing tag @unused-param
	 * @param bool $internal if used by we internally @unused-param
	 * @return string output to print
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		return true;
	}

}
