<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: aacab26fe68a $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-05-05 10:25 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifObject extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$we_oid = self::getAttribute('id', $attribs, 0, we_base_request::INT);
		$classid = self::getAttribute('classid', $attribs, 0, we_base_request::INT);
		$parentid = self::getAttribute('parentid', $attribs, 0, we_base_request::INT);

		switch(true){
			case (we_tag_listview::$current instanceof we_listview_objectBase):
				return
					(!$classid || we_tag_listview::$current->f(we_listview_base::CLASS_FIELD) == $classid) &&
					(!$we_oid || we_tag_listview::$current->f(we_listview_base::ID_FIELD) == $we_oid) &&
					(!$parentid || we_tag_listview::$current->f(we_listview_base::PARENTID_FIELD) == $parentid);
			case (we_tag_listview::$current instanceof we_listview_search):
				$tableid = we_tag_listview::$current->f(we_listview_base::CLASS_FIELD);
				return
					($tableid > 0) &&
					(!$classid || $tableid == $classid) &&
					(!$we_oid || we_tag_listview::$current->f('oid') == $we_oid) &&
					(!$parentid || we_tag_listview::$current->f(we_listview_base::PARENTID_FIELD) == $parentid);

			default:
				try{
					$obj = we_base_WE::getWeObj();
				} catch (we_exception_base $ex){
					return false;
				}

				return
					(!$classid || $obj->TableID == $classid) &&
					(!$we_oid || $obj->ID == $we_oid) &&
					(!$parentid || $obj->ParentID == $parentid);
		}
	}

}
