<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifRegisteredUserCanChange extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$admin = self::getAttribute('admin', $attribs, '', we_base_request::STRING);
		$protected = self::getAttribute('protected', $attribs, false, we_base_request::BOOL);
		if(!(isset($_SESSION['webuser']) && isset($_SESSION['webuser']['ID']) && !empty($_SESSION['webuser']['registered']))){
			return false;
		}
		if($admin && (!empty($_SESSION['webuser'][$admin]))){
			return true;
		}
		self::$doc = we_base_WE::getWeDoc();

		if(we_tag_listview::$current){
			return ($protected ? we_tag_listview::$current->f(we_listview_base::CUSTOMER_FIELD) == $_SESSION['webuser']['ID'] : false);
		}
		return ($protected ? self::$doc->WebUserID == $_SESSION['webuser']['ID'] : false);
	}

}
