<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_newsletterSwitch extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		if(!we_base_WE::$editmode){
			return '';
		}
//html=false, text=true
		self::$doc = we_base_WE::getWeDoc();

		if(($val = we_base_request::int('we_set_newsletterFormat', -1)) !== -1 && self::$doc->InWebEdition){
			self::$doc->setEditorPersistent('newsletterFormat', (bool) $val);
		}

		$val = self::$doc->getEditorPersistent('newsletterFormat');


		return '
<table class="we weEditTable we_switcher">
	<tr><td><b>' . g_l('modules_newsletter', '[newsletter][preview]') . '</b></td>
	<td><input id="set_newsletterHtml" type="radio" name="we_set_newsletterFormat" value="0" onclick="top.we_cmd(\'reload_editpage\');"' . (!$val ? ' checked' : '') . ' /><label for="set_newsletterHtml">HTML&nbsp;' . g_l('modules_newsletter', '[email]') . '</label></td>
	<td><input id="set_newsletterText" type="radio" name="we_set_newsletterFormat" value="1" onclick="top.we_cmd(\'reload_editpage\');"' . ($val ? ' checked' : '') . ' /><label for="set_newsletterText">' . g_l('modules_newsletter', '[type_text]') . ' ' . g_l('modules_newsletter', '[email]') . '</label></td>
	</tr>
</table>';
	}

}
