<?php

declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: f6adef669a22 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-11-25 12:20 +0100 $
 */
class we_tw_ifShopCategory extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];
		$this->Module = we_modules_info::SHOP;
		$options = [];
		$cats = we_modules_info::isActive(we_modules_info::CATEGORY) ? we_shop_category::getShopCatsFromDir() : [];
		foreach($cats as $cat){
			$options[] = new we_weTag_option((string) $cat->Path, (string) $cat->ID);
		}

		$this->Attributes = [
			new we_weTag_selectAttribute($this, 'field', '', [
				new we_weTag_option('id'),
				new we_weTag_option('is_destinationprinciple'),
				new we_weTag_option('is_from doc_object'),
				new we_weTag_option('is_fallback_to_standard'),
				new we_weTag_option('is_fallback_to_active')
					], false, ''),
			new we_weTag_selectAttribute($this, 'match', '', $options, false),
			new we_weTag_selectAttribute($this, 'ignorefallbacks', '', we_weTag_selectAttribute::getTrueFalse())
		];
	}

}
