<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_weTag_linkAttribute extends we_weTag_attribute{

	/**
	 * @param string $name
	 * @param boolean $required
	 */
	function __construct(we_weTag_twbase $tag, string $name, bool $required = false, string $module = '', string $value = '', string $description = '', bool $deprecated = false){
		parent::__construct($tag, $name, '', $required, $module, $description, $deprecated);
		$this->Value = $value;
	}

	function getCodeForTagWizard(we_html_tr $row): void{
		$row->td('', ['class' => 'attributeName']);
		$row->td(we_html_element::span(['name' => $this->Name,
				'id' => $this->getIdName(),
				'value' => '',
				'class' => 'defaultfont'
				], '<a href="http://' . $this->Value . '" target="TagRef">' . g_l('taged', '[tagreference_linktext]') . '</a>'), ['class' => 'attributeField']);
		$row->td('', ['class' => 'attributeButton']);
	}

}
