/*
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
/* global top, WE */
'use strict';
WE().util.loadConsts(document, "g_l.rebuild");

function initRebuild() {
	WE().session.rebuild = {};
}

function handle_event(what) {
	var f = document.we_form;
	switch (what) {
		case "previous":
			break;
		case "next":
			var selectedValue = "";
			for (var i = 0; i < f.type.length; i++) {
				if (f.type[i].checked) {
					selectedValue = f.type[i].value;
				}
			}
			goTo(selectedValue);
			break;
	}
}

function goTo(where) {
	var f = document.we_form;
	switch (where) {
		case "rebuild_thumbnails":
		case "rebuild_documents":
			f.target = "wizbody";
			break;
		case "rebuild_objects":
		case "rebuild_index":
		case "rebuild_navigation":
		case "rebuild_medialinks":
			set_button_state(1);
			f.target = "wizcmd";
			f.step.value = "2";
			break;
	}
	f.submit();
}

function set_button_state(alldis) {
	if (WE().util.dialogTop(window).wizbusy) {
		WE().util.dialogTop(window).wizbusy.back_enabled = WE().layout.button.switch_button_state(WE().util.dialogTop(window).wizbusy.document, "back", "disabled");
		if (alldis) {
			WE().util.dialogTop(window).wizbusy.next_enabled = WE().layout.button.switch_button_state(WE().util.dialogTop(window).wizbusy.document, "next", "disabled");
			WE().util.dialogTop(window).wizbusy.showRefreshButton();
		} else {
			WE().util.dialogTop(window).wizbusy.next_enabled = WE().layout.button.switch_button_state(WE().util.dialogTop(window).wizbusy.document, "next", "enabled");
		}
	} else {
		window.setTimeout(set_button_state, 300, (alldis ? 1 : 0));
	}
}

function set_button_stateStep2() {
	if (WE().util.dialogTop(window).wizbusy) {
		WE().util.dialogTop(window).wizbusy.back_enabled = WE().layout.button.switch_button_state(WE().util.dialogTop(window).wizbusy.document, "back", "enabled");
		WE().util.dialogTop(window).wizbusy.next_enabled = WE().layout.button.switch_button_state(WE().util.dialogTop(window).wizbusy.document, "next", "enabled");
	} else {
		window.setTimeout(set_button_stateStep2, 300);
	}
}
