/* global WE,top */

/**
 * webEdition CMS
 *
 * $Rev: 420ddf6eb85a $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-16 13:26 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
WE().we_cmd.modules.collection = function (args, url, caller) {
	switch (args[0]) {
		case "open_collection":
			we_cmd("load", WE().consts.tables.VFILE_TABLE);
			url = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_selector_document&we_cmd[table]=" + WE().consts.tables.VFILE_TABLE + "&we_cmd[jsCmd]=doClickWithParameters&we_cmd[open_doc]=1";
			(new (WE().layout.overlay)(caller, 'top', url, "we_dirChooser", WE().consts.size.dialog.big, WE().consts.size.dialog.medium)).setResizeable().setTitle(WE().consts.g_l.dialogTitle.dirSelector).open();
			return true;
		case "edit_new_collection":
			url = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=editNewCollection&we_cmd[1]=" + args[1] + "&we_cmd[2]=" + args[2] + "&fixedpid=" + args[3] + "&fixedremtable=" + args[4];
			(new (WE().layout.overlay)(caller, 'top', url, "weNewCollection", WE().consts.size.dialog.small, WE().consts.size.dialog.small)).setResizeable().open();
			return true;
		case "edit_new_collection_callback":
			// overwrite this
			return true;
		case 'collection_insertFiles':
			collection_insertFiles(args);
			return true;
		case 'collection_insertFiles_rpc':
			// TODO: make some tests and return with alert when not ok
			postData = '&we_cmd[ids]=' + encodeURIComponent(args[1] ? args[1] : '') +
				'&we_cmd[collection]=' + encodeURIComponent(args[2] ? args[2] : "0") +
				'&we_cmd[transaction]=' + encodeURIComponent(args[3] ? args[3] : '') +
				'&we_cmd[full]=0' +
				'&we_cmd[position]=' + encodeURIComponent(args[4] ? args[4] : "-1") +
				'&we_cmd[recursive]=' + encodeURIComponent(args[5] ? args[5] : "0");
			WE().util.rpc(WE().consts.dirs.WEBEDITION_DIR + "rpc.php?cmd=collectionInsertByID", postData, function (weResponse) {
				if (weResponse.DataArray.message) {
					var items = weResponse.DataArray.items;
					WE().util.showMessage(WE().consts.g_l.weCollection.info_insertion.replace(/##INS##/, items[0]).replace(/##REJ##/, items[1]), 1, caller);
					window.setTimeout(top.we_cmd.bind(top, 'exit_addToCollection', '', WE().consts.tables.FILE_TABLE), 1000);
				}
			});
			return true;
		case "do_addToCollection":
			WE().util.we_sbmtFrm(window.load, url, document.getElementsByName("treeheader")[0]);
			return true;
		case "tocollection"://add_to_collection
			we_cmd('maskMultieditor');
			we_cmd('addToCollection', 1, args[2]);
			treeData.setState(treeData.tree_states.select);
			top.treeData.unselectNode();
			top.drawTree();
			return true;
		case "addToCollection":
			addToCollection(args, url);
			return true;
	}
	return false;
};