/* global tinymce */

/**
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

(function () {
	var wegallery = (function () {
		var global = tinymce.util.Tools.resolve('tinymce.PluginManager');
		var open = function (ed) {
			ed.isWeGalleryInitialized = false;
			var c = ed.selection, weid = 0, wetmpl = '';
			if (!ed.getParam('weGalleryTemplates')) {
				return;
			}
			if (ed.dom.getParent(c.getNode(), 'WE-GALLERY') !== null) {
				weid = ed.dom.getParent(c.getNode(), 'WE-GALLERY').id;
				wetmpl = ed.dom.getParent(c.getNode(), 'WE-GALLERY').getAttribute('tmpl');
			}

			ed.windowManager.openWePlugin({
				file: '/webEdition/we_cmd_frontend.php?we_cmd[0]=open_dialog_gallery&we_dialog_args[editor]=tinyMce&we_dialog_args[isFrontend]=' + ed.getParam('weIsFrontend') + '&we_dialog_args[collid]=' + weid + '&we_dialog_args[tmpl]=' + wetmpl + '&we_dialog_args[templateIDs]=' + ed.getParam('weGalleryTemplates'),
				width: 500,
				height: 250,
			}, {
				plugin_url: ''//b
			});
		};
		var Dialog = {open: open};

		var Commands = {register: function (editor) {
				editor.addCommand('mceWegallery', function () {
					Dialog.open(editor);
				});
			}};

		var Buttons = {register: function (editor) {
				editor.ui.registry.addToggleButton('wegallery', {
					icon: 'gallery',
					tooltip: WE().consts.g_l.tinyMceTranslationObject.tt_wegallery,
					onAction: function () {
						editor.execCommand('mceWegallery');
					},
					onSetup: function (buttonApi) {
						editor.weControlManager.register('button', 'wegallery', buttonApi);
						/*
						 if(!editor.getParam('weGalleryTemplates')){
						 buttonApi.setDisabled(true);
						 }
						 *
						 */
					}
				});
			}};

		global.add('wegallery', function (editor) {
			Commands.register(editor);
			Buttons.register(editor);
			return {};
		});

		function Plugin() {}

		return Plugin;

	}());
})();